/caferimo-recipes-delete-one¶
Summary¶
Source repository:
jef-systems/jef-caferimo-backendSource SHA:
34c5a4f7f6891cb316e3bb2803081a3c35d4aa22Source run id:
25862680282Lambda function:
jef-caferimo-recipes-delete-oneHTTP method:
DELETEAPI path:
/caferimo-recipes-delete-oneEndpoint URL:
https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-recipes-delete-onePayload mode:
json-body
Description¶
Function: jef-caferimo-recipes-delete-oneModule: jef-caferimoAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /caferimo-recipes-delete-oneTable: jef-caferimo-recipesPrimary Key: recipe_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
recipe\_id: 330dd449-4497-4b0e-bab6-705da7fc8d66
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.recipe_id.type",
"value": "S"
},
{
"key": "root.attributes.recipe_id.required",
"value": "True"
},
{
"key": "root.attributes.recipe_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.recipe_id.regex",
"value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "recipe_id",
"value": "330dd449-4497-4b0e-bab6-705da7fc8d66"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-recipes-delete-one" -H "Content-Type: application/json" --data-raw "{\"recipe_id\": \"330dd449-4497-4b0e-bab6-705da7fc8d66\"}"
PowerShell curl¶
curl.exe -X DELETE "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-recipes-delete-one" -H "Content-Type: application/json" --data-raw '{"recipe_id": "330dd449-4497-4b0e-bab6-705da7fc8d66"}'